PLplot: plr.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
plr.c File Reference
`#include "plserver.h"`
`#include "plevent.h"`
`#include "metadefs.h"`

Go to the source code of this file.

## Macros
#define | plr_rd(code)
#define | plr_cmd(code) if ( ( code ) == -1 ) return -1;
#define | barf(msg)
#define | plr_rdn(code)

## Functions
static int | plr_process1 (PLRDev *plr, int c)
static int | plr_init (PLRDev *plr)
static int | plr_line (PLRDev *plr, int c)
static int | plr_eop (PLRDev *plr)
static int | plr_bop (PLRDev *plr)
static int | plr_state (PLRDev *plr)
static int | plr_esc (PLRDev *plr)
static int | plr_get (PLRDev *plr)
static int | plr_unget (PLRDev *plr, U_CHAR c)
static int | get_ncoords (PLRDev *plr, PLFLT *x, PLFLT *y, PLINT n)
static int | plresc_fill (PLRDev *plr)
void | plr_start (PLRDev *plr)
int | plr_process (PLRDev *plr)
static int | plr_eop (PLRDev *PL_UNUSED(plr))

## Variables
static int | csave = -1
static U_CHAR | dum_uchar
static U_SHORT | dum_ushort
static PLFLT | xstatic [PL_MAXPOLY]
static PLFLT | ystatic [PL_MAXPOLY]

## Macro Definition Documentation

#define barf | ( |  | msg | ) |

Value:
{ fprintf( stderr, "%s\nCommand code: %d, byte count: %lu\n", \
msg, csave, (unsigned long) plr->pdfs->bp ); return -1; }

Definition at line 65 of file plr.c.

#define plr_cmd | ( |  | code | ) | if ( ( code ) == -1 ) return -1;

Definition at line 60 of file plr.c.

#define plr_rd | ( |  | code | ) |

Value:
if ( code ) { fprintf( stderr, \
"Unable to read from %s in %s at line %d, bytecount %lu\n", \
plr->iodev->typeName, __FILE__, __LINE__, (unsigned long) plr->pdfs->bp ); \
return -1; }

Definition at line 54 of file plr.c.

#define plr_rdn | ( |  | code | ) |

Value:
if ( code ) { fprintf( stderr, \
"Unable to read from %s in %s at line %d, bytecount %d\n\Bytes requested: %d\n", plr->iodev->typeName, __FILE__, __LINE__, \
(int) plr->pdfs->bp, (int) 2 * n ); return -1; }

Definition at line 329 of file plr.c.

## Function Documentation

static int get_ncoords | ( | PLRDev * | plr,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT | n
| ) |  |
| static

Definition at line 336 of file plr.c.

static int plr_bop | ( | PLRDev * | plr | ) |
| static

Definition at line 393 of file plr.c.

static int plr_eop | ( | PLRDev * | plr | ) |
| static

static int plr_eop | ( | PLRDev * | PL_UNUSEDplr | ) |
| static

Definition at line 378 of file plr.c.

static int plr_esc | ( | PLRDev * | plr | ) |
| static

Definition at line 531 of file plr.c.

static int plr_get | ( | PLRDev * | plr | ) |
| static

Definition at line 594 of file plr.c.

static int plr_init | ( | PLRDev * | plr | ) |
| static

Definition at line 189 of file plr.c.

static int plr_line | ( | PLRDev * | plr,
|  | int | c
| ) |  |
| static

Definition at line 269 of file plr.c.

int plr_process | ( | PLRDev * | plr | ) |

Definition at line 117 of file plr.c.

static int plr_process1 | ( | PLRDev * | plr,
|  | int | c
| ) |  |
| static

Definition at line 143 of file plr.c.

void plr_start | ( | PLRDev * | plr | ) |

Definition at line 97 of file plr.c.

static int plr_state | ( | PLRDev * | plr | ) |
| static

Definition at line 414 of file plr.c.

static int plr_unget | ( | PLRDev * | plr,
|  | U_CHAR | c
| ) |  |
| static

Definition at line 614 of file plr.c.

static int plresc_fill | ( | PLRDev * | plr | ) |
| static

Definition at line 558 of file plr.c.

## Variable Documentation

int csave = -1
| static

Definition at line 85 of file plr.c.

U_CHAR dum_uchar
| static

Definition at line 86 of file plr.c.

U_SHORT dum_ushort
| static

Definition at line 87 of file plr.c.

PLFLT xstatic[PL_MAXPOLY]
| static

Definition at line 88 of file plr.c.

PLFLT ystatic[PL_MAXPOLY]
| static

Definition at line 88 of file plr.c.